Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Class AddressType

    java.lang.Object
      com.sun.squawk.vm.AddressType

    public final class AddressType

extends Object

This class defines the constants that can be used to describe the type of the value stored at a given address. This type information is used when the VM is built with runtime type checking enabled.

Field Summary
`static byte` | `ANY` Denotes that an address that has been zeroed and thus can be safely read as the default value for any type.
`static int` | `ANY_WORD` A constant denoting a word full of `ANY`s.
`static byte` | `BYTE` Denotes that an address contains a byte value.
`static byte` | `BYTECODE` Denotes that an address contains a bytecode instruction.
`static byte` | `DOUBLE` Denotes that an address contains the first word of a double value.
`static byte` | `DOUBLE2` Denotes that an address contains the second word of a double value.
`static byte` | `FLOAT` Denotes that an address contains a float value.
`static byte` | `INT` Denotes that an address contains an int value.
`static byte` | `LONG` Denotes that an address contains the first word of a long value.
`static byte` | `LONG2` Denotes that an address contains the second word of a long value.
`static String` | `Mnemonics` A char array (encoded in a string) provided a char representation for each valid address type constant.
`static int` | `MUTATION_TYPE_SHIFT` The amount by which an address type value must be right shifted to extract the encoded mutation type.
`static byte` | `REF` Denotes that an address contains a reference value.
`static byte` | `SHORT` Denotes that an address contains a short value.
`static int` | `TYPE_MASK` The mask applied to an address type value to extract the type information without the mutation type information.
`static byte` | `UNDEFINED` Denotes that an address that has never been written to or zeroed.
`static long` | `UNDEFINED_WORD` A constant denoting a word full of `UNDEFINED`s.
`static byte` | `UWORD` Denotes that an address contains a word (or offset) value.

Method Summary
`static String` | `getMnemonic(byte type)` Gets the mnemonic for an address type value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED

    public static final byte UNDEFINED

  Denotes that an address that has never been written to or zeroed.

  See Also:
    Constant Field Values

### ANY

    public static final byte ANY

  Denotes that an address that has been zeroed and thus can be safely read as the default value for any type.

  See Also:
    Constant Field Values

### BYTECODE

    public static final byte BYTECODE

  Denotes that an address contains a bytecode instruction. The high 4 bits of the type entry describe the type of the value that the instruction write to memory (if any).

  See Also:
    Constant Field Values

### BYTE

    public static final byte BYTE

  Denotes that an address contains a byte value.

  See Also:
    Constant Field Values

### SHORT

    public static final byte SHORT

  Denotes that an address contains a short value.

  See Also:
    Constant Field Values

### INT

    public static final byte INT

  Denotes that an address contains an int value.

  See Also:
    Constant Field Values

### FLOAT

    public static final byte FLOAT

  Denotes that an address contains a float value.

  See Also:
    Constant Field Values

### LONG

    public static final byte LONG

  Denotes that an address contains the first word of a long value.

  See Also:
    Constant Field Values

### LONG2

    public static final byte LONG2

  Denotes that an address contains the second word of a long value.

  See Also:
    Constant Field Values

### DOUBLE

    public static final byte DOUBLE

  Denotes that an address contains the first word of a double value.

  See Also:
    Constant Field Values

### DOUBLE2

    public static final byte DOUBLE2

  Denotes that an address contains the second word of a double value.

  See Also:
    Constant Field Values

### REF

    public static final byte REF

  Denotes that an address contains a reference value.

  See Also:
    Constant Field Values

### UWORD

    public static final byte UWORD

  Denotes that an address contains a word (or offset) value.

  See Also:
    Constant Field Values

### TYPE_MASK

    public static final int TYPE_MASK

  The mask applied to an address type value to extract the type information without the mutation type information.

  See Also:
    Constant Field Values

### MUTATION_TYPE_SHIFT

    public static final int MUTATION_TYPE_SHIFT

  The amount by which an address type value must be right shifted to extract the encoded mutation type.

  See Also:
    Constant Field Values

### UNDEFINED_WORD

    public static final long UNDEFINED_WORD

  A constant denoting a word full of `UNDEFINED`s.

  See Also:
    Constant Field Values

### ANY_WORD

    public static final int ANY_WORD

  A constant denoting a word full of `ANY`s.

  See Also:
    Constant Field Values

### Mnemonics

    public static final String Mnemonics

  A char array (encoded in a string) provided a char representation for each valid address type constant.

  See Also:
    Constant Field Values

Method Detail

### getMnemonic

    public static String getMnemonic(byte type)

  Gets the mnemonic for an address type value.

  Parameters:
    `type` - the value to get a mnemonic representation for
  Returns:
    the representation of 'type'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"